#ifndef ZGS_H
#define ZGS_H
#include "zgscore_base.h"
#include <qlabel.h>
#include <qlcdnumber.h>
#include <qlineedit.h>
#include <qmessagebox.h>
#include <qnamespace.h>
#include <qpushbutton.h>

#define PLAYER1 0
#define PLAYER2 1
#define PLAYER3 2
#define PLAYER4 3

#define NUM_PLAYERS 4
#define NUM_HOLES 18

class ZGS : public ZGSBase
{ 
    Q_OBJECT

public:
    ZGS( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~ZGS();
protected:
    bool eventFilter( QObject *o, QEvent *e );
    void closeEvent( QCloseEvent *e );
private slots:
    void Help();
    void Print();
};

#endif // ZGS_H
